PHP SOAP extension missing after Zend Server update

Just a heads-up; during the scheduled maintenance to our CenOS/ZS based webservers we noticed an update from the Zend Server repository for the PHP SOAP extension (php-5.3-soap-zend-server). After installing the extension (assuming it is a bug-fix release or something like that), errors started showing up in several systems using the SOAP based services (like the Magento webservice) on those servers.

Turns out /usr/local/zend/etc/conf.d/soap.ini just contains “soap.so”. It should contain “extension=soap.so” in order for Apache (part of Zend Server) to load it. So if after a yum update you’re missing SOAP functionality on your Zend Server (CE) based webservers; check out /usr/local/zend/etc/conf.d/soap.ini!

Leave a Reply

Your email address will not be published. Required fields are marked *


*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>